org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.clientserver

## Class CircuitBreakerClientNoDelay

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.clientserver.CircuitBreakerClientNoDelay

All Implemented Interfaces:
  Serializable

    @RequestScoped
    public class CircuitBreakerClientNoDelay
    extends Object
    implements Serializable

A client to exercise Circuit Breaker thresholds, with a SuccessThreshold of 2, a requestVolumeThreshold of 4, failureRatio of 0.75 and a 1 millisecond delay

Author:
  Neil Young
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CircuitBreakerClientNoDelay()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCounterForInvokingServiceA()`
`Connection` `serviceA()`
`void` `setCounterForInvokingServiceA(int count)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CircuitBreakerClientNoDelay

    public CircuitBreakerClientNoDelay()

### Method Detail

#### getCounterForInvokingServiceA

    public int getCounterForInvokingServiceA()

#### setCounterForInvokingServiceA

    public void setCounterForInvokingServiceA(int count)

#### serviceA

    @CircuitBreaker(successThreshold=2,
                    requestVolumeThreshold=4,
                    failureRatio=0.75,
                    delay=1L)
    public Connection serviceA()